/****************************************************************/
/*                                                              */
/*      symboldlg.h                                             */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef SYMBOLDLG_H
#define SYMBOLDLG_H

#include <qdialog.h>

class QSpinBox;
class QRadioButton;
class QLabel;
class QGroupBox;
class QButtonGroup;

class SymbolDlg : public QDialog {
  Q_OBJECT
  public:
    SymbolDlg(QWidget *parent, QSpinBox *sb);
    ~SymbolDlg();
  private slots:
    void slotOK();
  private:
    QSpinBox *sb;
    QGroupBox *g1, *g2;
    QButtonGroup *bg;
    QLabel *ll[9], *ls[17];
    QRadioButton *line[9], *symb[18];
    QPushButton *ok, *cancel;
};

#endif

